{% extends 'base.html.twig' %}

{% block body %}

    <div class="mybreadcrumb">
        <div class="container">
            <ul class="breadcrumbs">
                <li class="home">
                    <a href="{{ path('home') }}" title="Go to Home Page"><img
                                src="{{ asset('/build/images/home.png') }}" alt="Home"/></a>&nbsp;
                    <span>&gt;</span>
                </li>
                <li>
                    <span class="grey">Categories</span>
                    <span>&gt;</span>
                </li>
            </ul>
            <ul class="previous">
                <li><a href="{{ app.request.headers.get('referer') }}">Back to Previous Page</a></li>
            </ul>
            <div class="clearfix"></div>
        </div>
    </div>
    <div class="container"></div>

    {% if categories[0] and categories[0].sex == 'male' %}
        <div class="backCategoryMen">
    {% else %}
        <div class="backCategory">
    {% endif %}
    <div class="container">
        {% for category in categories %}

            <div class="category">
                <div class="categoryImage">
                    <a href="{{ path('shop.'~ category.sex ~'.category', {'id': category.id}) }}">
                        {% if category.images is not empty %}
                            <img src="{{ asset('uploads/images/product/category/' ~ category.name ~ '/' ~ category.images) | imagine_filter('category') }}"
                                 alt="{{ category.name }}">
                        {% else %}
                            <img src="{{ asset('build/images/no_image.png') | imagine_filter('category') }}"
                                 alt="">
                        {% endif %}
                    </a>
                </div>
                <div class="categoryLabel">
                    {{ category.name }}
                </div>

            </div>

        {% endfor %}

    </div>
    </div>

{% endblock %}